package cn.wise.sc.acquisition.business.controller;

import cn.wise.sc.acquisition.business.service.ITSysDictService;
import com.baomidou.mybatisplus.extension.api.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author ztw
 * @since 2021-04-23
 */
@Api(tags = "字典表功能")
@RestController
@RequestMapping("/business/t-sys-dict")
public class TSysDictController {

	@Autowired
	private ITSysDictService dictService;


	@ApiOperation(value = "字典列表")
	@ApiImplicitParams(value = {
			@ApiImplicitParam(name = "Type",
					value = "类型：" +
					"每日开始日期、单位类型、物资类型、" +
					"生产工序、职务管理、装车内容、运输内容、" +
					"设备性质、设备状态、物资用途、破碎工作内容、" +
					"破碎站、辅助消耗、点检结果" +
					"", paramType = "query", dataType = "Type")
	})
	@GetMapping("/getPage")
	public R choseList(String Type){
		return dictService.choseList(Type);



	}












}

