package cn.wise.sc.acquisition.business.controller;


import cn.wise.im.common.http.R;
import cn.wise.sc.acquisition.business.model.PageQuery;
import cn.wise.sc.acquisition.business.service.ITSysUserService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author ztw
 * @since 2021-04-23
 */
@Api(tags = "系统管理-用户管理")
@RestController
@RequestMapping("/business/t-sys-user")
public class TSysUserController {

	@Autowired
	private ITSysUserService userService;



	@ApiOperation(value = "用户列表")
	@GetMapping("/getList")
	public R getList() {
		return R.ok(userService.list());
	}








}

