package cn.wise.sc.acquisition.business.mapper;

import cn.wise.sc.acquisition.business.entity.TProcessesBlast;
import cn.wise.sc.acquisition.business.model.vo.TProcessesBlastVo;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author renchao
 * @since 2021-04-29
 */
public interface TProcessesBlastMapper extends BaseMapper<TProcessesBlast> {

    Page<TProcessesBlastVo> getNewPage(Page<TProcessesBlastVo> page, @Param("params") Map<String, Object> params);

    Page<TProcessesBlastVo> getPage(Page<TProcessesBlast> page, @Param("ew") QueryWrapper<TProcessesBlast> queryWrapper);

    TProcessesBlastVo getByQuery(@Param("ew") QueryWrapper<TProcessesBlast> queryWrapper);

}
